# Generated from ui_faces-0.1.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ui_faces

Name: rubygem-%{gem_name}
Version: 0.1.4
Release: 1%{?dist}
Summary: This gem uses UIfaces.com to fake user pictures on your app
License: MIT
URL: https://github.com/guinslym/Uifaces
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec-nc)
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard-rspec)
BuildArch: noarch

%description
UIFaces is a great website to find user pictures to mockup your app. With this
gems you can now implement more easily a pictures in your web app.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/ui_faces.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.1.4-1
- Initial package
